Create an OIC Integration task history record
post
/epm/rest/public/v1/oicIntegrations/histories/tasks
Request
Specifies the parameters to create the OIC integration task history record
Root Schema : Parameters for creating an OIC integration task history record
Type:
Show Source
object-
endTimestamp:
string
The time when integration task completed. Timestamp can be provided in the following formats:
YYYY-MM-DDTHH:MM:SS (UTC)
YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
YYYY-MM-DDTHH:MM:SS Region/City (time zone name) -
integrationHistoryId(required):
string
EDM generated id for history which represents parent history record.
-
messages:
string
Messages.
-
oicTaskName(required):
string
Integration step task Name.
-
ranBy:
string
The name of the user who triggered the integration run.
-
startTimestamp(required):
string
The time when integration task triggers. Timestamp can be provided in the following formats:
YYYY-MM-DDTHH:MM:SS (UTC)
YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
YYYY-MM-DDTHH:MM:SS Region/City (time zone name) -
status(required):
string
Status of the integration run. Allowed values are: PENDING, RUNNING, ERROR and COMPLETED.
Response
Supported Media Types
- application/json
201 Response
Created
400 Response
Error in body
403 Response
Insufficient Permission
404 Response
Not Found, Integration history not found in EDM
Examples
The following example shows how to create an oic integration run task history from outside EDM submitting a post request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X POST -H 'Content-Type: application/json' -d
@example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/oicIntegrations/histories/tasks
Example of Request Body
The following shows an example of the request body in JSON format.
{
"integrationHistoryId": "70b00472-4bb2-454b-882a-82e0c70647ab",
"oicTaskName": "Import extracted file to GL space",
"startTimestamp": "2026-07-08T13:35:20.304Z",
"ranBy": "Doug Cosby",
"messages": "Integration Task started",
"status": "RUNNING"
}
Example of Response Body
The following shows an example of the response body returning integrationTaskHistoryId, which can be used for the same non-edm integration task history operations.
"41d92ead-ba2f-4578-a1c0-f80f26fc40ad"